
import 'dart:io';
import 'dart:typed_data';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_plugin_pdf_viewer/flutter_plugin_pdf_viewer.dart';
import 'package:geolocator/geolocator.dart';
import 'package:google_maps_flutter/google_maps_flutter.dart';
import 'package:isae/src/models/Adress.dart';
import 'package:isae/src/models/Auxiliar.dart';
import 'package:isae/src/models/Files.dart';
import 'package:isae/src/models/Inventario.dart';
import 'package:isae/src/models/InventarioAgrupado.dart';
import 'package:isae/src/models/InventarioDetalleAgrupado.dart';
import 'package:isae/src/models/Proyects.dart';
import 'package:isae/src/models/user.dart';

class GlobalVariables{
  static String dateNow = '';

  //-------------------------Login:---------------------
  static  final textNEmp = TextEditingController();
  static  final textPass = TextEditingController();
  static  final textPassActual = TextEditingController();
  static  final textPassNew = TextEditingController();
  static  final textPassConfir = TextEditingController();
  static  final textPassNewReset = TextEditingController();
  static  final textPassConfirReset = TextEditingController();
  static String statusNav = 'false';


  static  final userReset = TextEditingController();
  static final  codResetPass = TextEditingController();
  static String  codResetPassConfir = '';


  static List<Proyects> listProyects = new List<Proyects>();
  static List<Inventario> listIventario = new List<Inventario>();
  static List<Inventario> listIventarioSearch = new List<Inventario>();

  static List<InventarioAgrupado> listAgrupado= new List<InventarioAgrupado>();
  static List<InventarioDetalleAgrupado> listDetalleAgrupado= new List<InventarioDetalleAgrupado>();
  static int idProyect;
  static int idIventario;
  static int idAgrupador;
  static String campoEdit;
  static String campoDesEdit;
  static String valorEdit;
  static String valorUpdate;
  static int index;
  //adddd
  static String addProyect;

  static LatLng center ;
  static Position currentLocation;
  static Map<String, Marker> markers = {};
  static bool validateLocalizcion;

  static bool valideUserLogin;
  static bool valideUpdateUserLogin;
  static User user;
  static User userValide;
  static bool valideUserLoginContrasenaNull;

  static User userValideReset;


  static List<Inventario> listIventarioAdd = new List<Inventario>();
  static File _pickedImage;
  static List<File> listFiles= new List<File>();
  static String nameProyectFile;
  static String nameInvenFolioFile;
  static String nameAgrupador;


  static List<Auxiliar> listCatalogos1= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos2= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos3= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos4= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos5= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos6= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos7= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos8= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos9= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos10= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos11= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos12= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos13= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos14= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos15= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos16= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos17= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos18= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos19= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos20= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos21= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos22= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos23= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos24= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos25= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos26= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos27= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos28= new List<Auxiliar>();
  static List<Auxiliar> listCatalogos29= new List<Auxiliar>();



  static  Auxiliar selectedItemCatPROYECTO;
  static  Auxiliar selectedItemCatPROYECTODESCRIPCION;
  static  Auxiliar selectedItemCatFCREACON;
  static  Auxiliar selectedItemCatFOLIO;
  static  Auxiliar selectedItemCatID;
  static  Auxiliar selectedItemCatAPELLIDOS;
  static  Auxiliar selectedItemCatAPELLIDOS2;
  static  Auxiliar selectedItemCatNOMBRES;
  static  Auxiliar selectedItemCatNOMBRECOMPLETO;
  static  Auxiliar selectedItemCatNUMEMPLEADO;
  static  Auxiliar selectedItemCatVIP;
  static  Auxiliar selectedItemCatPUESTO;
  static  Auxiliar selectedItemCatDIRECCION;
  static  Auxiliar selectedItemCatSUBDIRECCION;
  static  Auxiliar selectedItemCatCLAVESUBDIRECCION;
  static  Auxiliar selectedItemCatGERENCIA;
  static  Auxiliar selectedItemCatCLAVEGERENCIA;
  static  Auxiliar selectedItemCatDEPTO;
  static  Auxiliar selectedItemCatCLAVECENTROTRABAJO;
  static  Auxiliar selectedItemCatCORREO;
  static  Auxiliar selectedItemCatTELEFONO;
  static  Auxiliar selectedItemCatEXT;
  static  Auxiliar selectedItemCatUBICACION;
  static  Auxiliar selectedItemCatESTADO;
  static  Auxiliar selectedItemCatCP;
  static  Auxiliar selectedItemCatCOLONIA;
  static  Auxiliar selectedItemCatUBICACIONCOMPLETA;
  static  Auxiliar selectedItemCatZONA;
  static  Auxiliar selectedItemCatLOCALIDAD;
  static  Auxiliar selectedItemCatEDIFICIO;
  static  Auxiliar selectedItemCatPISO;
  static  Auxiliar selectedItemCatAREA;
  static  Auxiliar selectedItemCatADSCRIPCION;
  static  Auxiliar selectedItemCatAPELLIDOSJEFE;
  static  Auxiliar selectedItemCatNOMBRESJEFE;
  static  Auxiliar selectedItemCatNOMBRECOMPLETOJEFE;
  static  Auxiliar selectedItemCatFICHAJEFE;
  static  Auxiliar selectedItemCatEXTJEFE;
  static  Auxiliar selectedItemCatUBICACIONJEFE;
  static  Auxiliar selectedItemCatNOMBREJEFEINMEDIATO;
  static  Auxiliar selectedItemCatAPELLIDOSRESGUARDO;
  static  Auxiliar selectedItemCatNOMBRESRESGUARDO;
  static  Auxiliar selectedItemCatNOMBRECOMPLETORESGUARDO;
  static  Auxiliar selectedItemCatADSCRIPCIONRESGUARDO;
  static  Auxiliar selectedItemCatEXTRESGUARDO;
  static  Auxiliar selectedItemCatAPELLIDOSRESPONSABLE;
  static  Auxiliar selectedItemCatNOMBRESRESPONSABLE;
  static  Auxiliar selectedItemCatNOMBRECOMPLETORESPONSABLE;
  static  Auxiliar selectedItemCatAPELLIDOSPEMEX;
  static  Auxiliar selectedItemCatNOMBRESPEMEX;
  static  Auxiliar selectedItemCatNOMBRECOMPLETOPEMEX;
  static  Auxiliar selectedItemCatTIPOEQUIPO;
  static  Auxiliar selectedItemCatEQUIPO;
  static  Auxiliar selectedItemCatMARCAEQUIPO;
  static  Auxiliar selectedItemCatMODELOEQUIPO;
  static  Auxiliar selectedItemCatNUMSERIEEQUIPO;
  static  Auxiliar selectedItemCatEQUIPOCOMPLETO;
  static  Auxiliar selectedItemCatMONITOR;
  static  Auxiliar selectedItemCatMARCAMONITOR;
  static  Auxiliar selectedItemCatMODELOMONITOR;
  static  Auxiliar selectedItemCatNUMSERIEMONITOR;
  static  Auxiliar selectedItemCatMONITORCOMPLETO;
  static  Auxiliar selectedItemCatTECLADO;
  static  Auxiliar selectedItemCatMARCATECLADO;
  static  Auxiliar selectedItemCatMODELOTECLADO;
  static  Auxiliar selectedItemCatNUMSERIETECLADO;
  static  Auxiliar selectedItemCatTECLADOCOMPLETO;
  static  Auxiliar selectedItemCatMOUSE;
  static  Auxiliar selectedItemCatMARCAMOUSE;
  static  Auxiliar selectedItemCatMODELOMAUSE;
  static  Auxiliar selectedItemCatNUMSERIEMOUSE;
  static  Auxiliar selectedItemCatMOUSECOMPLETO;
  static  Auxiliar selectedItemCatUPS;
  static  Auxiliar selectedItemCatMARCAUPS;
  static  Auxiliar selectedItemCatMODELOUPS;
  static  Auxiliar selectedItemCatNUMSERIEUPS;
  static  Auxiliar selectedItemCatUPSCOMPLETO;
  static  Auxiliar selectedItemCatMALETIN;
  static  Auxiliar selectedItemCatMARCAMALETIN;
  static  Auxiliar selectedItemCatMODELOMALETIN;
  static  Auxiliar selectedItemCatNUMSERIEMALETIN;
  static  Auxiliar selectedItemCatMALETINCOMLETO;
  static  Auxiliar selectedItemCatCANDADO;
  static  Auxiliar selectedItemCatMARCACANDADO;
  static  Auxiliar selectedItemCatMODELOCANDADO;
  static  Auxiliar selectedItemCatNUMSERIECANDADO;
  static  Auxiliar selectedItemCatCANDADOCOMPLETO;
  static  Auxiliar selectedItemCatBOCINAS;
  static  Auxiliar selectedItemCatMARCABOCINAS;
  static  Auxiliar selectedItemCatMODELOBOCINAS;
  static  Auxiliar selectedItemCatNUMSERIEBOCINAS;
  static  Auxiliar selectedItemCatBOCINASCOMPLETO;
  static  Auxiliar selectedItemCatCAMARA;
  static  Auxiliar selectedItemCatMARCACAMARA;
  static  Auxiliar selectedItemCatMODELOCAMARA;
  static  Auxiliar selectedItemCatNUMSERIECMARA;
  static  Auxiliar selectedItemCatCAMARACOMPLETO;
  static  Auxiliar selectedItemCatMONITOR2;
  static  Auxiliar selectedItemCatMARCAMONITOR2;
  static  Auxiliar selectedItemCatMODELOMONITOR2;
  static  Auxiliar selectedItemCatNUMSERIEMONITOR2;
  static  Auxiliar selectedItemCatMONITOR2COMPLETO;
  static  Auxiliar selectedItemCatACCESORIO;
  static  Auxiliar selectedItemCatMARCAACCESORIO;
  static  Auxiliar selectedItemCatMODELOACCESORIO;
  static  Auxiliar selectedItemCatNUMSERIEACCESORIO;
  static  Auxiliar selectedItemCatACCESORIOCOMPLETO;
  static  Auxiliar selectedItemCatRAM;
  static  Auxiliar selectedItemCatDISCODURO;
  static  Auxiliar selectedItemCatPROCESADOR;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP1;
  static  Auxiliar selectedItemCatMODELOCOMP1;
  static  Auxiliar selectedItemCatNUMSERIECOMP1;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP1;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP2;
  static  Auxiliar selectedItemCatMODELOCOMP2;
  static  Auxiliar selectedItemCatNUMSERIECOMP2;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP2;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP3;
  static  Auxiliar selectedItemCatMODELOCOMP3;
  static  Auxiliar selectedItemCatNUMSERIECOMP3;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP3;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP4;
  static  Auxiliar selectedItemCatMODELOCOMP4;
  static  Auxiliar selectedItemCatNUMSERIECOMP4;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP4;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP5;
  static  Auxiliar selectedItemCatMODELOCOMP5;
  static  Auxiliar selectedItemCatNUMSERIECOMP5;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP5;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP6;
  static  Auxiliar selectedItemCatMODELOCOMP6;
  static  Auxiliar selectedItemCatNUMSERIECOMP6;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP6;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP7;
  static  Auxiliar selectedItemCatMODELOCOMP7;
  static  Auxiliar selectedItemCatNUMSERIECOMP7;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP7;
  static  Auxiliar selectedItemCatVALIDACIONCOMP1;
  static  Auxiliar selectedItemCatVALIDACIONCOMP2;
  static  Auxiliar selectedItemCatVALIDACIONCOMP3;
  static  Auxiliar selectedItemCatVALIDACIONCOMP4;
  static  Auxiliar selectedItemCatVALIDACIONCOMP5;
  static  Auxiliar selectedItemCatVALIDACIONCOMP6;
  static  Auxiliar selectedItemCatVALIDACIONCOMP7;
  static  Auxiliar selectedItemCatVALIDADOSCOMP;
  static  Auxiliar selectedItemCatTECNICONOMBRE;
  static  Auxiliar selectedItemCatDIA;
  static  Auxiliar selectedItemCatMES;
  static  Auxiliar selectedItemCatANIO;
  static  Auxiliar selectedItemCatREQESPECIAL1;
  static  Auxiliar selectedItemCatREQESPECIAL2;
  static  Auxiliar selectedItemCatOBSINV;
  static  Auxiliar selectedItemCatOBSRESGUARDO;
  static  Auxiliar selectedItemCatOBSEXTRAS1;
  static  Auxiliar selectedItemCatOBSEXTRAS2;
  static  Auxiliar selectedItemCatESTATUS;
  static  Auxiliar selectedItemCatFESCALACION;
  static  Auxiliar selectedItemCatCOMENTARIOSESCALACION;
  static  Auxiliar selectedItemDefault;

  static  final controllerPROYECTO= TextEditingController();
  static  final controllerPROYECTODESCRIPCION= TextEditingController();
  static  final controllerFCREACON= TextEditingController();
  static  final controllerFOLIO= TextEditingController();
  static  final controllerID= TextEditingController();
  static  final controllerAPELLIDOS= TextEditingController();
  static  final controllerAPELLIDOS2= TextEditingController();
  static  final controllerNOMBRES= TextEditingController();
  static  final controllerNOMBRECOMPLETO= TextEditingController();
  static  final controllerNUMEMPLEADO= TextEditingController();
  static  final controllerVIP= TextEditingController();
  static  final controllerPUESTO= TextEditingController();
  static  final controllerDIRECCION= TextEditingController();
  static  final controllerSUBDIRECCION= TextEditingController();
  static  final controllerCLAVESUBDIRECCION= TextEditingController();
  static  final controllerGERENCIA= TextEditingController();
  static  final controllerCLAVEGERENCIA= TextEditingController();
  static  final controllerDEPTO= TextEditingController();
  static  final controllerCLAVECENTROTRABAJO= TextEditingController();
  static  final controllerCORREO= TextEditingController();
  static  final controllerTELEFONO= TextEditingController();
  static  final controllerEXT= TextEditingController();
  static  final controllerUBICACION= TextEditingController();
  static  final controllerESTADO= TextEditingController();
  static  final controllerCP= TextEditingController();
  static  final controllerCOLONIA= TextEditingController();
  static  final controllerUBICACIONCOMPLETA= TextEditingController();
  static  final controllerZONA= TextEditingController();
  static  final controllerLOCALIDAD= TextEditingController();
  static  final controllerEDIFICIO= TextEditingController();
  static  final controllerPISO= TextEditingController();
  static  final controllerAREA= TextEditingController();
  static  final controllerADSCRIPCION= TextEditingController();
  static  final controllerAPELLIDOSJEFE= TextEditingController();
  static  final controllerAPELLIDOS2JEFE= TextEditingController();
  static  final controllerNOMBRESJEFE= TextEditingController();
  static  final controllerNOMBRECOMPLETOJEFE= TextEditingController();
  static  final controllerFICHAJEFE= TextEditingController();
  static  final controllerEXTJEFE= TextEditingController();
  static  final controllerUBICACIONJEFE= TextEditingController();
  static  final controllerNOMBREJEFEINMEDIATO= TextEditingController();
  static  final controllerAPELLIDOSRESGUARDO= TextEditingController();
  static  final controllerAPELLIDOS2RESGUARDO= TextEditingController();
  static  final controllerNOMBRESRESGUARDO= TextEditingController();
  static  final controllerNOMBRECOMPLETORESGUARDO= TextEditingController();
  static  final controllerADSCRIPCIONRESGUARDO= TextEditingController();
  static  final controllerEXTRESGUARDO= TextEditingController();
  static  final controllerAPELLIDOSRESPONSABLE= TextEditingController();
  static  final controllerAPELLIDOS2RESPONSABLE= TextEditingController();
  static  final controllerNOMBRESRESPONSABLE= TextEditingController();
  static  final controllerNOMBRECOMPLETORESPONSABLE= TextEditingController();
  static  final controllerAPELLIDOSPEMEX= TextEditingController();
  static  final controllerAPELLIDOS2PEMEX= TextEditingController();
  static  final controllerNOMBRESPEMEX= TextEditingController();
  static  final controllerNOMBRECOMPLETOPEMEX= TextEditingController();
  static  final controllerTIPOEQUIPO= TextEditingController();
  static  final controllerEQUIPO= TextEditingController();
  static  final controllerMARCAEQUIPO= TextEditingController();
  static  final controllerMODELOEQUIPO= TextEditingController();
  static  final controllerNUMSERIEEQUIPO= TextEditingController();
  static  final controllerEQUIPOCOMPLETO= TextEditingController();
  static  final controllerMONITOR= TextEditingController();
  static  final controllerMARCAMONITOR= TextEditingController();
  static  final controllerMODELOMONITOR= TextEditingController();
  static  final controllerNUMSERIEMONITOR= TextEditingController();
  static  final controllerMONITORCOMPLETO= TextEditingController();
  static  final controllerTECLADO= TextEditingController();
  static  final controllerMARCATECLADO= TextEditingController();
  static  final controllerMODELOTECLADO= TextEditingController();
  static  final controllerNUMSERIETECLADO= TextEditingController();
  static  final controllerTECLADOCOMPLETO= TextEditingController();
  static  final controllerMOUSE= TextEditingController();
  static  final controllerMARCAMOUSE= TextEditingController();
  static  final controllerMODELOMAUSE= TextEditingController();
  static  final controllerNUMSERIEMOUSE= TextEditingController();
  static  final controllerMOUSECOMPLETO= TextEditingController();
  static  final controllerUPS= TextEditingController();
  static  final controllerMARCAUPS= TextEditingController();
  static  final controllerMODELOUPS= TextEditingController();
  static  final controllerNUMSERIEUPS= TextEditingController();
  static  final controllerUPSCOMPLETO= TextEditingController();
  static  final controllerMALETIN= TextEditingController();
  static  final controllerMARCAMALETIN= TextEditingController();
  static  final controllerMODELOMALETIN= TextEditingController();
  static  final controllerNUMSERIEMALETIN= TextEditingController();
  static  final controllerMALETINCOMLETO= TextEditingController();
  static  final controllerCANDADO= TextEditingController();
  static  final controllerMARCACANDADO= TextEditingController();
  static  final controllerMODELOCANDADO= TextEditingController();
  static  final controllerNUMSERIECANDADO= TextEditingController();
  static  final controllerCANDADOCOMPLETO= TextEditingController();
  static  final controllerBOCINAS= TextEditingController();
  static  final controllerMARCABOCINAS= TextEditingController();
  static  final controllerMODELOBOCINAS= TextEditingController();
  static  final controllerNUMSERIEBOCINAS= TextEditingController();
  static  final controllerBOCINASCOMPLETO= TextEditingController();
  static  final controllerCAMARA= TextEditingController();
  static  final controllerMARCACAMARA= TextEditingController();
  static  final controllerMODELOCAMARA= TextEditingController();
  static  final controllerNUMSERIECMARA= TextEditingController();
  static  final controllerCAMARACOMPLETO= TextEditingController();
  static  final controllerMONITOR2= TextEditingController();
  static  final controllerMARCAMONITOR2= TextEditingController();
  static  final controllerMODELOMONITOR2= TextEditingController();
  static  final controllerNUMSERIEMONITOR2= TextEditingController();
  static  final controllerMONITOR2COMPLETO= TextEditingController();
  static  final controllerACCESORIO= TextEditingController();
  static  final controllerMARCAACCESORIO= TextEditingController();
  static  final controllerMODELOACCESORIO= TextEditingController();
  static  final controllerNUMSERIEACCESORIO= TextEditingController();
  static  final controllerACCESORIOCOMPLETO= TextEditingController();
  static  final controllerRAM= TextEditingController();
  static  final controllerDISCODURO= TextEditingController();
  static  final controllerPROCESADOR= TextEditingController();
  static  final controllerTIPOEQUIPOCOMP1= TextEditingController();
  static  final controllerMODELOCOMP1= TextEditingController();
  static  final controllerNUMSERIECOMP1= TextEditingController();
  static  final controllerCRUCECLIENTECOMP1= TextEditingController();
  static  final controllerTIPOEQUIPOCOMP2= TextEditingController();
  static  final controllerMODELOCOMP2= TextEditingController();
  static  final controllerNUMSERIECOMP2= TextEditingController();
  static  final controllerCRUCECLIENTECOMP2= TextEditingController();
  static  final controllerTIPOEQUIPOCOMP3= TextEditingController();
  static  final controllerMODELOCOMP3= TextEditingController();
  static  final controllerNUMSERIECOMP3= TextEditingController();
  static  final controllerCRUCECLIENTECOMP3= TextEditingController();
  static  final controllerTIPOEQUIPOCOMP4= TextEditingController();
  static  final controllerMODELOCOMP4= TextEditingController();
  static  final controllerNUMSERIECOMP4= TextEditingController();
  static  final controllerCRUCECLIENTECOMP4= TextEditingController();
  static  final controllerTIPOEQUIPOCOMP5= TextEditingController();
  static  final controllerMODELOCOMP5= TextEditingController();
  static  final controllerNUMSERIECOMP5= TextEditingController();
  static  final controllerCRUCECLIENTECOMP5= TextEditingController();
  static  final controllerTIPOEQUIPOCOMP6= TextEditingController();
  static  final controllerMODELOCOMP6= TextEditingController();
  static  final controllerNUMSERIECOMP6= TextEditingController();
  static  final controllerCRUCECLIENTECOMP6= TextEditingController();
  static  final controllerTIPOEQUIPOCOMP7= TextEditingController();
  static  final controllerMODELOCOMP7= TextEditingController();
  static  final controllerNUMSERIECOMP7= TextEditingController();
  static  final controllerCRUCECLIENTECOMP7= TextEditingController();
  static  final controllerVALIDACIONCOMP1= TextEditingController();
  static  final controllerVALIDACIONCOMP2= TextEditingController();
  static  final controllerVALIDACIONCOMP3= TextEditingController();
  static  final controllerVALIDACIONCOMP4= TextEditingController();
  static  final controllerVALIDACIONCOMP5= TextEditingController();
  static  final controllerVALIDACIONCOMP6= TextEditingController();
  static  final controllerVALIDACIONCOMP7= TextEditingController();
  static  final controllerVALIDADOSCOMP= TextEditingController();
  static  final controllerTECNICONOMBRE= TextEditingController();
  static  final controllerDIA= TextEditingController();
  static  final controllerMES= TextEditingController();
  static  final controllerANIO= TextEditingController();
  static  final controllerREQESPECIAL1= TextEditingController();
  static  final controllerREQESPECIAL2= TextEditingController();
  static  final controllerOBSINV= TextEditingController();
  static  final controllerOBSRESGUARDO= TextEditingController();
  static  final controllerOBSEXTRAS1= TextEditingController();
  static  final controllerOBSEXTRAS2= TextEditingController();
  static  final controllerESTATUS= TextEditingController();
  static  final controllerFESCALACION= TextEditingController();
  static  final controllerCOMENTARIOSESCALACION= TextEditingController();
  static  final controllerCAMPOLIBRE1= TextEditingController();
  static  final controllerCAMPOLIBRE2= TextEditingController();
  static  final controllerCAMPOLIBRE3= TextEditingController();
  static  final controllerCAMPOLIBRE4= TextEditingController();
  static  final controllerCAMPOLIBRE5= TextEditingController();
  static  final controllerCAMPOLIBRE6= TextEditingController();
  static  final controllerCAMPOLIBRE7= TextEditingController();
  static  final controllerCAMPOLIBRE8= TextEditingController();
  static  final controllerCAMPOLIBRE9= TextEditingController();
  static  final controllerCAMPOLIBRE10= TextEditingController();
  static  final controllerCAMPOLIBRE11= TextEditingController();
  static  final controllerCAMPOLIBRE12= TextEditingController();
  static  final controllerCAMPOLIBRE13= TextEditingController();
  static  final controllerCAMPOLIBRE14= TextEditingController();
  static  final controllerCAMPOLIBRE15= TextEditingController();
  static  final controllerCAMPOLIBRE16= TextEditingController();
  static  final controllerCAMPOLIBRE17= TextEditingController();
  static  final controllerCAMPOLIBRE18= TextEditingController();
  static  final controllerCAMPOLIBRE19= TextEditingController();
  static  final controllerCAMPOLIBRE20= TextEditingController();
  static  final controllerCAMPOID= TextEditingController();

  static  final controllerDefaultEdit= TextEditingController();



  static  Auxiliar selectedItemCatPROYECTOadd;
  static  Auxiliar selectedItemCatPROYECTODESCRIPCIONadd;
  static  Auxiliar selectedItemCatFCREACONadd;
  static  Auxiliar selectedItemCatFOLIOadd;
  static  Auxiliar selectedItemCatIDadd;
  static  Auxiliar selectedItemCatAPELLIDOSadd;
  static  Auxiliar selectedItemCatAPELLIDOS2add;
  static  Auxiliar selectedItemCatNOMBRESadd;
  static  Auxiliar selectedItemCatNOMBRECOMPLETOadd;
  static  Auxiliar selectedItemCatNUMEMPLEADOadd;
  static  Auxiliar selectedItemCatVIPadd;
  static  Auxiliar selectedItemCatPUESTOadd;
  static  Auxiliar selectedItemCatDIRECCIONadd;
  static  Auxiliar selectedItemCatSUBDIRECCIONadd;
  static  Auxiliar selectedItemCatCLAVESUBDIRECCIONadd;
  static  Auxiliar selectedItemCatGERENCIAadd;
  static  Auxiliar selectedItemCatCLAVEGERENCIAadd;
  static  Auxiliar selectedItemCatDEPTOadd;
  static  Auxiliar selectedItemCatCLAVECENTROTRABAJOadd;
  static  Auxiliar selectedItemCatCORREOadd;
  static  Auxiliar selectedItemCatTELEFONOadd;
  static  Auxiliar selectedItemCatEXTadd;
  static  Auxiliar selectedItemCatUBICACIONadd;
  static  Auxiliar selectedItemCatESTADOadd;
  static  Auxiliar selectedItemCatCPadd;
  static  Auxiliar selectedItemCatCOLONIAadd;
  static  Auxiliar selectedItemCatUBICACIONCOMPLETAadd;
  static  Auxiliar selectedItemCatZONAadd;
  static  Auxiliar selectedItemCatLOCALIDADadd;
  static  Auxiliar selectedItemCatEDIFICIOadd;
  static  Auxiliar selectedItemCatPISOadd;
  static  Auxiliar selectedItemCatAREAadd;
  static  Auxiliar selectedItemCatADSCRIPCIONadd;
  static  Auxiliar selectedItemCatAPELLIDOSJEFEadd;
  static  Auxiliar selectedItemCatNOMBRESJEFEadd;
  static  Auxiliar selectedItemCatNOMBRECOMPLETOJEFEadd;
  static  Auxiliar selectedItemCatFICHAJEFEadd;
  static  Auxiliar selectedItemCatEXTJEFEadd;
  static  Auxiliar selectedItemCatUBICACIONJEFEadd;
  static  Auxiliar selectedItemCatNOMBREJEFEINMEDIATOadd;
  static  Auxiliar selectedItemCatAPELLIDOSRESGUARDOadd;
  static  Auxiliar selectedItemCatNOMBRESRESGUARDOadd;
  static  Auxiliar selectedItemCatNOMBRECOMPLETORESGUARDOadd;
  static  Auxiliar selectedItemCatADSCRIPCIONRESGUARDOadd;
  static  Auxiliar selectedItemCatEXTRESGUARDOadd;
  static  Auxiliar selectedItemCatAPELLIDOSRESPONSABLEadd;
  static  Auxiliar selectedItemCatNOMBRESRESPONSABLEadd;
  static  Auxiliar selectedItemCatNOMBRECOMPLETORESPONSABLEadd;
  static  Auxiliar selectedItemCatAPELLIDOSPEMEXadd;
  static  Auxiliar selectedItemCatNOMBRESPEMEXadd;
  static  Auxiliar selectedItemCatNOMBRECOMPLETOPEMEXadd;
  static  Auxiliar selectedItemCatTIPOEQUIPOadd;
  static  Auxiliar selectedItemCatEQUIPOadd;
  static  Auxiliar selectedItemCatMARCAEQUIPOadd;
  static  Auxiliar selectedItemCatMODELOEQUIPOadd;
  static  Auxiliar selectedItemCatNUMSERIEEQUIPOadd;
  static  Auxiliar selectedItemCatEQUIPOCOMPLETOadd;
  static  Auxiliar selectedItemCatMONITORadd;
  static  Auxiliar selectedItemCatMARCAMONITORadd;
  static  Auxiliar selectedItemCatMODELOMONITORadd;
  static  Auxiliar selectedItemCatNUMSERIEMONITORadd;
  static  Auxiliar selectedItemCatMONITORCOMPLETOadd;
  static  Auxiliar selectedItemCatTECLADOadd;
  static  Auxiliar selectedItemCatMARCATECLADOadd;
  static  Auxiliar selectedItemCatMODELOTECLADOadd;
  static  Auxiliar selectedItemCatNUMSERIETECLADOadd;
  static  Auxiliar selectedItemCatTECLADOCOMPLETOadd;
  static  Auxiliar selectedItemCatMOUSEadd;
  static  Auxiliar selectedItemCatMARCAMOUSEadd;
  static  Auxiliar selectedItemCatMODELOMAUSEadd;
  static  Auxiliar selectedItemCatNUMSERIEMOUSEadd;
  static  Auxiliar selectedItemCatMOUSECOMPLETOadd;
  static  Auxiliar selectedItemCatUPSadd;
  static  Auxiliar selectedItemCatMARCAUPSadd;
  static  Auxiliar selectedItemCatMODELOUPSadd;
  static  Auxiliar selectedItemCatNUMSERIEUPSadd;
  static  Auxiliar selectedItemCatUPSCOMPLETOadd;
  static  Auxiliar selectedItemCatMALETINadd;
  static  Auxiliar selectedItemCatMARCAMALETINadd;
  static  Auxiliar selectedItemCatMODELOMALETINadd;
  static  Auxiliar selectedItemCatNUMSERIEMALETINadd;
  static  Auxiliar selectedItemCatMALETINCOMLETOadd;
  static  Auxiliar selectedItemCatCANDADOadd;
  static  Auxiliar selectedItemCatMARCACANDADOadd;
  static  Auxiliar selectedItemCatMODELOCANDADOadd;
  static  Auxiliar selectedItemCatNUMSERIECANDADOadd;
  static  Auxiliar selectedItemCatCANDADOCOMPLETOadd;
  static  Auxiliar selectedItemCatBOCINASadd;
  static  Auxiliar selectedItemCatMARCABOCINASadd;
  static  Auxiliar selectedItemCatMODELOBOCINASadd;
  static  Auxiliar selectedItemCatNUMSERIEBOCINASadd;
  static  Auxiliar selectedItemCatBOCINASCOMPLETOadd;
  static  Auxiliar selectedItemCatCAMARAadd;
  static  Auxiliar selectedItemCatMARCACAMARAadd;
  static  Auxiliar selectedItemCatMODELOCAMARAadd;
  static  Auxiliar selectedItemCatNUMSERIECMARAadd;
  static  Auxiliar selectedItemCatCAMARACOMPLETOadd;
  static  Auxiliar selectedItemCatMONITOR2add;
  static  Auxiliar selectedItemCatMARCAMONITOR2add;
  static  Auxiliar selectedItemCatMODELOMONITOR2add;
  static  Auxiliar selectedItemCatNUMSERIEMONITOR2add;
  static  Auxiliar selectedItemCatMONITOR2COMPLETOadd;
  static  Auxiliar selectedItemCatACCESORIOadd;
  static  Auxiliar selectedItemCatMARCAACCESORIOadd;
  static  Auxiliar selectedItemCatMODELOACCESORIOadd;
  static  Auxiliar selectedItemCatNUMSERIEACCESORIOadd;
  static  Auxiliar selectedItemCatACCESORIOCOMPLETOadd;
  static  Auxiliar selectedItemCatRAMadd;
  static  Auxiliar selectedItemCatDISCODUROadd;
  static  Auxiliar selectedItemCatPROCESADORadd;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP1add;
  static  Auxiliar selectedItemCatMODELOCOMP1add;
  static  Auxiliar selectedItemCatNUMSERIECOMP1add;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP1add;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP2add;
  static  Auxiliar selectedItemCatMODELOCOMP2add;
  static  Auxiliar selectedItemCatNUMSERIECOMP2add;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP2add;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP3add;
  static  Auxiliar selectedItemCatMODELOCOMP3add;
  static  Auxiliar selectedItemCatNUMSERIECOMP3add;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP3add;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP4add;
  static  Auxiliar selectedItemCatMODELOCOMP4add;
  static  Auxiliar selectedItemCatNUMSERIECOMP4add;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP4add;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP5add;
  static  Auxiliar selectedItemCatMODELOCOMP5add;
  static  Auxiliar selectedItemCatNUMSERIECOMP5add;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP5add;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP6add;
  static  Auxiliar selectedItemCatMODELOCOMP6add;
  static  Auxiliar selectedItemCatNUMSERIECOMP6add;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP6add;
  static  Auxiliar selectedItemCatTIPOEQUIPOCOMP7add;
  static  Auxiliar selectedItemCatMODELOCOMP7add;
  static  Auxiliar selectedItemCatNUMSERIECOMP7add;
  static  Auxiliar selectedItemCatCRUCECLIENTECOMP7add;
  static  Auxiliar selectedItemCatVALIDACIONCOMP1add;
  static  Auxiliar selectedItemCatVALIDACIONCOMP2add;
  static  Auxiliar selectedItemCatVALIDACIONCOMP3add;
  static  Auxiliar selectedItemCatVALIDACIONCOMP4add;
  static  Auxiliar selectedItemCatVALIDACIONCOMP5add;
  static  Auxiliar selectedItemCatVALIDACIONCOMP6add;
  static  Auxiliar selectedItemCatVALIDACIONCOMP7add;
  static  Auxiliar selectedItemCatVALIDADOSCOMPadd;
  static  Auxiliar selectedItemCatTECNICONOMBREadd;
  static  Auxiliar selectedItemCatDIAadd;
  static  Auxiliar selectedItemCatMESadd;
  static  Auxiliar selectedItemCatANIOadd;
  static  Auxiliar selectedItemCatREQESPECIAL1add;
  static  Auxiliar selectedItemCatREQESPECIAL2add;
  static  Auxiliar selectedItemCatOBSINVadd;
  static  Auxiliar selectedItemCatOBSRESGUARDOadd;
  static  Auxiliar selectedItemCatOBSEXTRAS1add;
  static  Auxiliar selectedItemCatOBSEXTRAS2add;
  static  Auxiliar selectedItemCatESTATUSadd;
  static  Auxiliar selectedItemCatFESCALACIONadd;
  static  Auxiliar selectedItemCatCOMENTARIOSESCALACIONadd;
  static  Auxiliar selectedItemDefaultadd;

  static  Adress adressCP;
  static  final controllerCPadd= TextEditingController();
  static List<Auxiliar> listCatMarcaModeloEQUIPO= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloMONITOR= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloTECLADO= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloMOUSE= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloUPS= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloMALETIN= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloCANDADO= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloBOCINAS= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloCAMARA= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloMONITORADICIONAL= new List<Auxiliar>();
  static List<Auxiliar> listCatMarcaModeloACCERIO= new List<Auxiliar>();
  static int valor = 0;

  static bool validateInventarioAdd = false;




static final formKeyNumEmpleado = new GlobalKey<FormState>();
static final formKeyTel = new GlobalKey<FormState>();
static final formKeyEXT = new GlobalKey<FormState>();

static final formKeyFichaJefe = new GlobalKey<FormState>();
static final formKeyAPELLIDOS = new GlobalKey<FormState>();
static final formKeyAPELLIDOS2 = new  GlobalKey<FormState>();
static final formKeyNOMBRES = new GlobalKey<FormState>();
static final formKeyPUESTO = new  GlobalKey<FormState>();
static final formKeyCORREO = new GlobalKey<FormState>();
static final formKeyEDIFICIO = new GlobalKey<FormState>();
static final formKeyAREA = new GlobalKey<FormState>();
static final formKeyUBICACIONJEFE = new GlobalKey<FormState>();
static final formKeyNOMBREJEFEINMEDIATO = new GlobalKey<FormState>();
static final formKeyAPELLIDOSRESGUARDO = new GlobalKey<FormState>();
static final formKeyNOMBRESRESGUARDO = new GlobalKey<FormState>();
static final formKeyNUMSERIEEQUIPO = new GlobalKey<FormState>();
static final formKeyNUMSERIEMONITOR = new GlobalKey<FormState>();
static final formKeyNUMSERIETECLADO= new GlobalKey<FormState>();
static final formKeyNUMSERIEMOUSE= new GlobalKey<FormState>();
static final formKeyNUMSERIEUPS= new GlobalKey<FormState>();
static final formKeyNUMSERIEMALETIN= new GlobalKey<FormState>();
static final formKeyNUMSERIEMONITOR2= new GlobalKey<FormState>();
static final formKeyNUMSERIEACCESORIO= new GlobalKey<FormState>();
static final formKeyNUMSERIECOMP1= new GlobalKey<FormState>();
static final formKeyCRUCECLIENTECOMP1= new GlobalKey<FormState>();
static final formKeyNUMSERIECOMP2= new GlobalKey<FormState>();
static final formKeyCRUCECLIENTECOMP2= new GlobalKey<FormState>();
static final formKeyNUMSERIECOMP3= new GlobalKey<FormState>();
static final formKeyCRUCECLIENTECOMP3= new GlobalKey<FormState>();
static final formKeyNUMSERIECOMP4= new GlobalKey<FormState>();
static final formKeyCRUCECLIENTECOMP4= new GlobalKey<FormState>();
static final formKeyNUMSERIECOMP5= new GlobalKey<FormState>();
static final formKeyCRUCECLIENTECOMP5= new GlobalKey<FormState>();
static final formKeyNUMSERIECOMP6= new GlobalKey<FormState>();
static final formKeyCRUCECLIENTECOMP6= new GlobalKey<FormState>();
static final formKeyNUMSERIECOMP7= new GlobalKey<FormState>();
static final formKeyCRUCECLIENTECOMP7= new GlobalKey<FormState>();
static final formKeyTECNICONOMBRE= new GlobalKey<FormState>();

static List<Files> listaFilesInven = new List<Files>();
  static List<Files> listaFilesInvenByNoSerie = new List<Files>();
static bool bandera = false;
  static bool banderadelete = false;
  static bool banderaReady = false;
  static String urlPathPDF;
  static String nombrePDF;
  static PDFDocument doc;
  static PDFDocument docFinal;
  static String urlFile;

  static ByteData firma = ByteData(0);
  static ByteData firma1 = ByteData(0);
  static ByteData firma2 = ByteData(0);
  static ByteData firma3 = ByteData(0);
  static ByteData firma4 = ByteData(0);
  static String  remotePDFpathFirma1;
  static String  remotePDFpathFirma2;
  static String  remotePDFpathFirma3;
  static String  remotePDFpathFirma4;
  static bool banderaDownload = false;
  static int countValidateFiles;
  static String  pathNoSerie;
  static String  tipoProyect;
  static String  DescripProyect;
  static String  nameNoSerieAdd;
  static String  campoNoSerieAdd;
  static File fileNoSerieFotoAddEQUIPO;
  static File fileNoSerieFotoAddMONITOR;
  static File fileNoSerieFotoAddTECLADO;
  static File fileNoSerieFotoAddMOUSE;
  static File fileNoSerieFotoAddUPS;
  static File fileNoSerieFotoAddMALETIN;
  static File fileNoSerieFotoAddCANDADO;
  static File fileNoSerieFotoAddBOCINAS;
  static File fileNoSerieFotoAddCAMARA;
  static File fileNoSerieFotoAddMONITOR2;
  static File fileNoSerieFotoAddACCESORIO;
  static File fileNoSerieFotoAddCOMP1;
  static File fileNoSerieFotoAddCOMP2;
  static File fileNoSerieFotoAddCOMP3;
  static File fileNoSerieFotoAddCOMP4;
  static File fileNoSerieFotoAddCOMP5;
  static File fileNoSerieFotoAddCOMP6;
  static File fileNoSerieFotoAddCOMP7;

  static int idInventarioInsertado;

  static String  fileNameFotoNumSerieAddEQUIPO;
  static String  fileNameFotoNumSerieAddMONITOR;
  static String  fileNameFotoNumSerieAddTECLADO;
  static String  fileNameFotoNumSerieAddMOUSE;
  static String  fileNameFotoNumSerieAddUPS;
  static String  fileNameFotoNumSerieAddMALETIN;
  static String  fileNameFotoNumSerieAddCANDADO;
  static String  fileNameFotoNumSerieAddBOCINAS;
  static String  fileNameFotoNumSerieAddCAMARA;
  static String  fileNameFotoNumSerieAddMONITOR2;
  static String  fileNameFotoNumSerieAddACCESORIO;
  static String  fileNameFotoNumSerieAddCOMP1;
  static String  fileNameFotoNumSerieAddCOMP2;
  static String  fileNameFotoNumSerieAddCOMP3;
  static String  fileNameFotoNumSerieAddCOMP4;
  static String  fileNameFotoNumSerieAddCOMP5;
  static String  fileNameFotoNumSerieAddCOMP6;
  static String  fileNameFotoNumSerieAddCOMP7;

  static String  banderafirmaAdd;
  static String  idMaxInventarioByProyect;

}

